Skip to content

condenser_api.list_proposal_votes ​

Purpose ​

Returns all proposal votes, starting with the specified voter or proposal.id. Parameters: start:array; limit:int; order:string; order_direction:string; status:string

  • start depends on order (see below)
    • voter - voter of the proposal (account name string)
    • proposal.id - id the proposal (int)
  • limit is up to 1000.
  • order can be one of:
    • by_voter_proposal - order by proposal voter
    • by_proposal_voter - order by proposal.id
  • order_direction can be one of:
    • ascending
    • descending
  • status
    • all
    • inactive
    • active
    • expired
    • votable
start (array)limit (int)order (string)order_direction (string)status (string)
["alice"]10by_voter_proposalascendingactivelist 10 proposals with active status, ordered by voter, ascending
[10]1000by_proposal_voterascendingvotablelist 1000 votes on proposal 10, ordered by proposal.id, ascending

Also see: datbase_api.list_proposals

Parameters ​

PARAMETERS
json
[
  [],
  0,
  "by_name",
  "ascending",
  "all"
]

Example ​

Example 1 ​

BASH
bash
curl -s https://api.steemit.com \
  -H 'Content-Type: application/json' \
  --data-binary '{
    "jsonrpc": "2.0",
    "method": "condenser_api.list_proposal_votes",
    "params": [
      [
        ""
      ],
      10,
      "by_voter_proposal",
      "ascending",
      "active"
    ],
    "id": 1
  }'

Example 2 ​

BASH
bash
curl -s https://api.steemit.com \
  -H 'Content-Type: application/json' \
  --data-binary '{
    "jsonrpc": "2.0",
    "method": "condenser_api.list_proposal_votes",
    "params": [
      [
        0
      ],
      10,
      "by_proposal_voter",
      "ascending",
      "active"
    ],
    "id": 1
  }'

Response ​

RESPONSE
json
[
  {
    "id": 0,
    "voter": "charlie",
    "proposal": {
      "id": 0,
      "proposal_id": 0,
      "creator": "alice",
      "receiver": "bob",
      "start_date": "2019-07-01T00:00:00",
      "end_date": "2019-08-01T23:59:59",
      "daily_pay": {
        "amount": "4800000",
        "precision": 3,
        "nai": "@@000000013"
      },
      "subject": "My Proposal",
      "permlink": "creator-proposal-permlink",
      "total_votes": "77351826710",
      "status": "active"
    }
  }
]